# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).

## [1.1.1] - 2019-07-8
### Changed
- Exposed the new elements class as part of the library

## [1.1.0] - 2019-07-8
**NOTE: This update will break code if you are accessing map, set, or list literals due to grammar changes with Dart v2.3** ([see here](https://github.com/dart-lang/language/blob/master/accepted/2.3/unified-collections/feature-specification.md))

### Added
- Elements class (plus dependencies) for set and map literals

### Changed
- Updated the grammar to reflect the changes in Dart v2.3 ([see here](https://github.com/dart-lang/language/blob/master/accepted/2.3/unified-collections/feature-specification.md))
- Fixed bug where constructor invocations caused an exception
- Small format changes from health suggestions
- Removed illegal test cases for list literal
- Updated pubspec dependency versions
- Updated KNOWN_ERRORS.txt
- Updated the README

## [1.0.6] - 2019-06-24
### Changed
- Updated Homepage link to GitHub repository in pubspec.yaml
- Applied dartfmt to remaining classes

## [1.0.5] - 2019-06-24
### Changed
- Fixed bug with AssignableExpression and increment operators (see https://github.com/dart-lang/language/issues/381)
- Removed test cases from arguments, expressions, primary, and selectors that were not actually allowed in dart lang
- Applied dartdoc style to comments
- Applied dartfmt to all classes
- Updated KNOWN_ERRORS.txt
- Updated the README

## [1.0.4] - 2019-06-13
### Changed
- Made the main source_parser.dart script export generic ParserType and exceptions
- Updated the README

## [1.0.3] - 2019-06-06
### Changed
- Made the main source_parser.dart script export all necessary scripts
- Fixed bug with FunctionSignature being declared in two separate places

## [1.0.2] - 2019-06-06
### Added
- examples folder containing a basic example using the parser

### Changed
- Made many style changes to improve pub score

## [1.0.1] - 2019-06-06
### Changed
- Made naming changes to match the changes necessary for the package to be uploaded

### Removed
- Removed outdated example code

## [1.0.0] - 2019-06-06
### Added
- The first initial commit containing required code for parsing
